from abc import ABC

from domainmaster.configuration import Configuration
from domainmaster.requestor import Requestor


class BaseCommand(ABC):
    def __init__(self, requestor: Requestor, configuration: Configuration):
        self._requestor = requestor
        self._configuration = configuration

    @property
    def requestor(self) -> Requestor:
        return self._requestor

    @property
    def configuration(self) -> Configuration:
        return self._configuration
